#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include <stdlib.h>
#include "global.h"
#include "rf02.h"

#define F_CPU 10000000UL
#include <util/delay.h>

unsigned char test[32]="Dies ist ein 433MHz Test !!!\n   ";

int main(void)
{
	rf02_init();					// ein paar Register setzen (z.B. CLK auf 10MHz)
	rf02_setfreq(RF02FREQ(433.92));	// Sende/Empfangsfrequenz auf 433,92MHz einstellen
	rf02_setpower(4);				// -12dBm Ausgangangsleistung
	rf02_setmodfreq(3);				// 120kHz Frequenzshift
	rf02_setbaud(19200);			// 19200 Baud
	for (;;)
	{
		rf02_txdata(test,32);
		for (unsigned char i=0; i<100; i++)
			_delay_ms(10);
	}
}

